Package uk.ac.starlink.topcat

## Class TableColumnModelAdapter

- java.lang.Object
- - uk.ac.starlink.topcat.TableColumnModelAdapter

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.swing.event.TableColumnModelListener`

      public class TableColumnModelAdapter
      extends java.lang.Object
      implements javax.swing.event.TableColumnModelListener

  Convenience adapter class which implements the `TableColumnModelListener` interface. All the methods in this implementation do nothing.
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableColumnModelAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `columnAdded​(javax.swing.event.TableColumnModelEvent evt)` |
    `void` | `columnMarginChanged​(javax.swing.event.ChangeEvent evt)` |
    `void` | `columnMoved​(javax.swing.event.TableColumnModelEvent evt)` |
    `void` | `columnRemoved​(javax.swing.event.TableColumnModelEvent evt)` |
    `void` | `columnSelectionChanged​(javax.swing.event.ListSelectionEvent evt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableColumnModelAdapter

          public TableColumnModelAdapter()

  - ### Method Detail

    - #### columnAdded

          public void columnAdded​(javax.swing.event.TableColumnModelEvent evt)

      Specified by:
        `columnAdded` in interface `javax.swing.event.TableColumnModelListener`

    - #### columnMoved

          public void columnMoved​(javax.swing.event.TableColumnModelEvent evt)

      Specified by:
        `columnMoved` in interface `javax.swing.event.TableColumnModelListener`

    - #### columnRemoved

          public void columnRemoved​(javax.swing.event.TableColumnModelEvent evt)

      Specified by:
        `columnRemoved` in interface `javax.swing.event.TableColumnModelListener`

    - #### columnMarginChanged

          public void columnMarginChanged​(javax.swing.event.ChangeEvent evt)

      Specified by:
        `columnMarginChanged` in interface `javax.swing.event.TableColumnModelListener`

    - #### columnSelectionChanged

          public void columnSelectionChanged​(javax.swing.event.ListSelectionEvent evt)

      Specified by:
        `columnSelectionChanged` in interface `javax.swing.event.TableColumnModelListener`